Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
response = client.evals.status('eval_id')
print(response.status)
print(response.results)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.evals.status('eval_id');
console.log(response.status);
console.log(response.results);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.evals.status('eval_id');
console.log(response.status);
console.log(response.results);
curl --request GET \
--url https://api.together.ai/v1/evaluation/{id}/status \
--header 'Authorization: Bearer <token>'
{
"results": {
"generation_fail_count": 0,
"judge_fail_count": 0,
"invalid_label_count": 0,
"result_file_id": "file-1234-aefd",
"pass_percentage": 10,
"label_counts": "{\"yes\": 10, \"no\": 0}"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Evaluations
Get evaluation job status and results
GET
/
evaluation
/
{id}
/
status
Together AI SDK (Python)
from together import Together
import os
client = Together(
api_key=os.environ.get("TOGETHER_API_KEY"),
)
response = client.evals.status('eval_id')
print(response.status)
print(response.results)import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.evals.status('eval_id');
console.log(response.status);
console.log(response.results);
import Together from "together-ai";
const client = new Together({
apiKey: process.env.TOGETHER_API_KEY,
});
const response = await client.evals.status('eval_id');
console.log(response.status);
console.log(response.results);
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the evaluation job to get the status of
Was this page helpful?
⌘I